Force Add-ons To Work With Firefox 3 Beta



mozilla firefox logo

If you're one of the many people that are tired of the memory leaks and sluggishness of Firefox 2, you may have already started using the beta version of Firefox 3.

The previous beta releases have each introduced their own quirks, mostly odd javascript errors, but it seems like these have (mostly) been ironed out. The only problem that I've run into with the newest beta is compatibility with extensions written for Firefox 2. In the past, I've forced add-ons to work by unzipping the installer, and modifying the "maximum version" setting, whatever it's called – but this is quite a bit of hassle, especially if you rely on several add-ons.

But there's an easier way: Nightly Tester Tools. Nightly Tester Tools is an add-on designed for users running beta/nightly releases of Firefox. Most of its features mean nothing to me right now, the important one is the ability to override the version restrictions for add-ons. So far I've been able to reinstall all my old add-ons without any problems, and without any hassle.

Tags: , , , , ,



Subscribe Did you like this post? Great! Subscribe to the sparxMind RSS Feed!

1 Comment

  1. spudart (890 comments) said,

    i hope your computer does not explode by forcing worlds like this to collide.

    May 1, 2008 @ 1:24 pm


RSS feed for comments on this post